# BEGIN SourceDeps(oneline):
BuildRequires: glib2-devel libgtk+2-devel pkgconfig(dbus-glib-1)
# END SourceDeps(oneline)
%global snapshot_date 20110228
%global snapshot_revision 15
Name:           pidgin-logviewer
Version:        0.2 
Release:        alt1_13.%{snapshot_date}svn%{snapshot_revision}
Summary:        User-friendly and intuitive chat log viewer for Pidgin

Group:          Networking/WWW
License:        GPLv2
URL:            https://code.google.com/p/pidgin-logviewer/
#clone and tarred : svn export -r%%{snapshot_revision} http://pidgin-logviewer.googlecode.com/svn/trunk/ pidgin-logviewer-%%{version}
#tar -cvzf pidgin-logviewer-%%{version}svn%%{snapshot_revision}.tar.gz pidgin-logviewer-%%{version}
Source0:        %{name}-%{version}svn%{snapshot_revision}.tar.gz

BuildRequires:  pidgin-devel
BuildRequires:  automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
Requires:       pidgin
Source44: import.info

%description
This project aims to present an alternative, user-friendly and intuitive way 
of viewing chat logs in Pidgin. Currently the project is in an early stage,
and is designed as a plugin, but it eventually aims to replace Pidgin's default
log viewer.

%prep
%setup -q

echo "%{version}-%{release}" > version
autoreconf -fi

cd src
rm -rf .libs .deps *.o *.lo *.la



%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
rm -f $RPM_BUILD_ROOT%{_libdir}/pidgin/*.la

%files
%doc AUTHORS ChangeLog COPYING
%{_libdir}/pidgin/*.so


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.2-alt1_13.20110228svn15
- initial fc import

